Subject: bug#34179: 27.0.50; message hangs when buffer with process visible

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Jan 2019 20:59:55 +0200

> Date: Thu, 24 Jan 2019 19:51:37 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
> I somehow suspect that it's caused by a message that gets displayed
> causing the minibuffer to resize and 'window--adjust-process-windows'
> to react in some strange way.  Michael's
> 
>  > Run till exit from #0  redisplay_internal () at xdisp.c:14716
>  > echo_area_display (update_frame_p=true) at xdisp.c:11715
>  > 11715		      unbind_to (count, Qnil);
> 
> brought me to that idea.

You may be right, but all the above says is that something done in
redisplay_internal or functions it calls takes a lot of time, or even
infloops.